Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ui
Class ConfGeneral

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ui.ConfGeneral

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class ConfGeneral

extends javax.swing.JPanel
implements java.awt.event.ActionListener, java.awt.event.ItemListener

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.JCheckBox` | `abreger`
`private javax.swing.JCheckBox` | `afficheLigne`
`private javax.swing.JCheckBox` | `bLit`
`private javax.swing.JCheckBox` | `bMaths`
`private javax.swing.JCheckBox` | `bMusique`
`private javax.swing.JButton` | `btEditTable`
`private javax.swing.JComboBox` | `cbLog`
`private javax.swing.JComboBox` | `cbPolice`
`private javax.swing.JComboBox` | `cbPolice2`
`private javax.swing.JComboBox` | `comboTables`
`private ConfigNat` | `confNat`
`private javax.swing.JCheckBox` | `editeurBraille`
`private javax.swing.JComboBox` | `jcbCharsetSortie`
`private javax.swing.JComboBox` | `jcbCharsetSource`
`private javax.swing.JFrame` | `jfParent`
`private javax.swing.JTextField` | `jtfLongLigne`
`private javax.swing.JTextField` | `jtfTaillePolice`
`private javax.swing.JTextField` | `jtfTaillePolice2`
`private javax.swing.JLabel` | `lCbPolice`
`private javax.swing.JLabel` | `lCbPolice2`
`private javax.swing.JLabel` | `lComboTables`
`private javax.swing.JLabel` | `ljcbCharsetSortie`
`private javax.swing.JLabel` | `ljcbCharsetSource`
`private javax.swing.JLabel` | `lLog`
`private javax.swing.JLabel` | `lLongLigne`
`private javax.swing.JLabel` | `lTaillePolice`
`private javax.swing.JLabel` | `lTaillePolice2`
`private static long` | `serialVersionUID`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConfGeneral(ConfigNat confNat, javax.swing.JFrame jfp)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`boolean` | `Enregistrer()`
`boolean` | `Enregistrer(ConfigNat cf)`
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### confNat

    private ConfigNat confNat

### abreger

    private javax.swing.JCheckBox abreger

### bLit

    private javax.swing.JCheckBox bLit

### bMaths

    private javax.swing.JCheckBox bMaths

### bMusique

    private javax.swing.JCheckBox bMusique

### comboTables

    private javax.swing.JComboBox comboTables

### lComboTables

    private javax.swing.JLabel lComboTables

### btEditTable

    private javax.swing.JButton btEditTable

### jcbCharsetSource

    private javax.swing.JComboBox jcbCharsetSource

### ljcbCharsetSource

    private javax.swing.JLabel ljcbCharsetSource

### jcbCharsetSortie

    private javax.swing.JComboBox jcbCharsetSortie

### ljcbCharsetSortie

    private javax.swing.JLabel ljcbCharsetSortie

### editeurBraille

    private javax.swing.JCheckBox editeurBraille

### lLongLigne

    private javax.swing.JLabel lLongLigne

### jtfLongLigne

    private javax.swing.JTextField jtfLongLigne

### lCbPolice

    private javax.swing.JLabel lCbPolice

### cbPolice

    private javax.swing.JComboBox cbPolice

### lTaillePolice

    private javax.swing.JLabel lTaillePolice

### jtfTaillePolice

    private javax.swing.JTextField jtfTaillePolice

### afficheLigne

    private javax.swing.JCheckBox afficheLigne

### lCbPolice2

    private javax.swing.JLabel lCbPolice2

### cbPolice2

    private javax.swing.JComboBox cbPolice2

### lTaillePolice2

    private javax.swing.JLabel lTaillePolice2

### jtfTaillePolice2

    private javax.swing.JTextField jtfTaillePolice2

### cbLog

    private javax.swing.JComboBox cbLog

### lLog

    private javax.swing.JLabel lLog

### jfParent

    private javax.swing.JFrame jfParent

Constructor Detail

### ConfGeneral

    public ConfGeneral(ConfigNat confNat,
                       javax.swing.JFrame jfp)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

### Enregistrer

    public boolean Enregistrer(ConfigNat cf)

### Enregistrer

    public boolean Enregistrer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD